Bug 389541 - Backlight off after suspend/resume
Backlight off after suspend/resume
Status: CLOSED DUPLICATE of bug 358671
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-18 12:38 EST by Austin Acton
Modified: 2008-02-25 16:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 16:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.37 KB, application/octet-stream)
2007-11-19 07:28 EST, Austin Acton
no flags Details
X log file (156.54 KB, text/plain)
2007-11-19 07:29 EST, Austin Acton
no flags Details
my xorg.conf (autoconfiguration) (802 bytes, application/octet-stream)
2007-12-10 18:22 EST, vladimir benes
no flags Details
and also log from last session (76.14 KB, text/plain)
2007-12-10 18:25 EST, vladimir benes
no flags Details
X log from a session including a laptop suspend/resume where the backlight did not turn on (45.75 KB, application/octet-stream)
2007-12-13 17:56 EST, Mike Loseke
no flags Details

  None (edit)
Description Austin Acton 2007-11-18 12:38:42 EST
Description of problem:
After suspend/resume, my backlight is off and I can't read the screen. 
Switching to VC1 and back to VC7 fixes the problem.  Sadly, it's a tablet PC and
there's no way to do this switch without a keyboard.

Version-Release number of selected component (if applicable):
Standard Fedora 8 install from gnome live cd.

Additional info:
using 'intel' video driver

[root@localhost ~]# dmidecode 
# dmidecode 2.7
SMBIOS 2.4 present.
38 structures occupying 1259 bytes.
Table at 0x000E5D20.

Handle 0x0000, DMI type 0, 24 bytes.
BIOS Information
        Vendor: FUJITSU // Phoenix Technologies Ltd.
        Version: Version 1.02 
        Release Date: 07/09/2007
        Address: 0xE0000
        Runtime Size: 128 kB
        ROM Size: 1024 kB
        Characteristics:
                PCI is supported
                PC Card (PCMCIA) is supported
                PNP is supported
                BIOS is upgradeable
                BIOS shadowing is allowed
                Boot from CD is supported
                Selectable boot is supported
                EDD is supported
                3.5"/720 KB floppy services are supported (int 13h)
                Print screen service is supported (int 5h)
                8042 keyboard services are supported (int 9h)
                Serial services are supported (int 14h)
                Printer services are supported (int 17h)
                CGA/mono video services are supported (int 10h)
                ACPI is supported
                USB legacy is supported
                BIOS boot specification is supported
                Function key-initiated network boot is supported
                Targeted content distribution is supported
        BIOS Revision: 1.2

Handle 0x0001, DMI type 1, 27 bytes.
System Information
        Manufacturer: FUJITSU
        Product Name: LifeBook T2010
        Version:  
        Serial Number: R7813218
        UUID: C165DF98-5434-11DC-8B14-0017426ADEC9
        Wake-up Type: Power Switch
        SKU Number:  
        Family:  

Handle 0x0002, DMI type 2, 10 bytes.
Base Board Information
        Manufacturer: FUJITSU
        Product Name: FJNB1D8
        Version:  
        Serial Number:  

Handle 0x0003, DMI type 3, 13 bytes.
Chassis Information
        Manufacturer: A100H10404B30001
        Type: Notebook
        Lock: Not Present
        Version:  
        Serial Number:  
        Asset Tag:  
        Boot-up State: Unknown
        Power Supply State: Unknown
        Thermal State: Unknown
        Security Status: Unknown

Handle 0x0004, DMI type 4, 35 bytes.
Processor Information
        Socket Designation: Onboard
        Type: Central Processor
        Family: Other
        Manufacturer: Intel Corporation
        ID: FD 06 00 00 FF FB EB BF
        Version: Intel(R) Core(TM)2 Duo CPU     U7500  @ 1.06GHz
        Voltage: 0.9 V
        External Clock: 133 MHz
        Max Speed: 1060 MHz
        Current Speed: 1060 MHz
        Status: Populated, Enabled
        Upgrade: None
        L1 Cache Handle: 0x0008
        L2 Cache Handle: 0x0009
        L3 Cache Handle: Not Provided
        Serial Number:  
        Asset Tag:  
        Part Number:  

Handle 0x0005, DMI type 5, 20 bytes.
Memory Controller Information
        Error Detecting Method: None
        Error Correcting Capabilities:
                None
        Supported Interleave: One-way Interleave
        Current Interleave: One-way Interleave
        Maximum Memory Module Size: 2048 MB
        Maximum Total Memory Size: 4096 MB
        Supported Speeds:
                Other
        Supported Memory Types:
                Other
        Memory Module Voltage: 3.3 V
        Associated Memory Slots: 2
                0x0006
                0x0007
        Enabled Error Correcting Capabilities:
                None

Handle 0x0006, DMI type 6, 12 bytes.
Memory Module Information
        Socket Designation: DIMM1
        Bank Connections: 0 1
        Current Speed: Unknown
        Type: DIMM SDRAM
        Installed Size: 512 MB (Double-bank Connection)
        Enabled Size: 512 MB (Double-bank Connection)
        Error Status: OK

Handle 0x0007, DMI type 6, 12 bytes.
Memory Module Information
        Socket Designation: DIMM2
        Bank Connections: 2 3
        Current Speed: Unknown
        Type: DIMM SDRAM
        Installed Size: 512 MB (Double-bank Connection)
        Enabled Size: 512 MB (Double-bank Connection)
        Error Status: OK

Handle 0x0008, DMI type 7, 19 bytes.
Cache Information
        Socket Designation: L1 Cache
        Configuration: Enabled, Not Socketed, Level 1
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 128 KB
        Maximum Size: 128 KB
        Supported SRAM Types:
                Unknown
        Installed SRAM Type: Unknown
        Speed: Unknown
        Error Correction Type: Unknown
        System Type: Other
        Associativity: Unknown

Handle 0x0009, DMI type 7, 19 bytes.
Cache Information
        Socket Designation: L2 Cache
        Configuration: Enabled, Not Socketed, Level 2
        Operational Mode: Write Back
        Location: Internal
        Installed Size: 2048 KB
        Maximum Size: 2048 KB
        Supported SRAM Types:
                Pipeline Burst
                Synchronous
        Installed SRAM Type: Pipeline Burst Synchronous
        Speed: Unknown
        Error Correction Type: Unknown
        System Type: Unified
        Associativity: Unknown

Handle 0x000A, DMI type 9, 13 bytes.
System Slot Information
        Designation: CardBus-1
        Type: 32-bit PC Card (PCMCIA)
        Current Usage: Unknown
        Length: Other
        ID: Adapter 0, Socket 0
        Characteristics:
                5.0 V is provided
                3.3 V is provided
                PC Card-16 is supported
                Cardbus is supported
                Modem ring resume is supported
                PME signal is supported

Handle 0x000B, DMI type 11, 5 bytes.
OEM Strings
        String 1: LeGYslOEenOHG
        String 2: eCMAfUzBqwkeO
        String 3: 0BdXWvsQnosBJ

Handle 0x000C, DMI type 12, 5 bytes.
System Configuration Options
        Option 1: SMI:B2
        Option 2: TIM:200711170042
        Option 3: HDD:        NZ1GT772663U
        Option 4: MEM:M4 70T6554EZ3-CE6 E1094B6B

Handle 0x000D, DMI type 13, 22 bytes.
BIOS Language Information
        Installable Languages: 2
                enUS
                jaJP
        Currently Installed Language: enUS

Handle 0x000E, DMI type 15, 45 bytes.
System Event Log
        Area Length: 16 bytes
        Header Start Offset: 0x0000
        Header Length: 16 bytes
        Data Start Offset: 0x0010
        Access Method: Memory-mapped physical 32-bit address
        Access Address: 0xFFF80400
        Status: Valid, Not Full
        Change Token: 0x000000C1
        Header Format: Type 1
        Supported Log Type Descriptors: 11
        Descriptor 1: POST memory resize
        Data Format 1: None
        Descriptor 2: POST error
        Data Format 2: POST results bitmap
        Descriptor 3: System reconfigured
        Data Format 3: None
        Descriptor 4: Log area reset/cleared
        Data Format 4: None
        Descriptor 5: System boot
        Data Format 5: None
        Descriptor 6: OEM-specific
        Data Format 6: None
        Descriptor 7: OEM-specific
        Data Format 7: None
        Descriptor 8: OEM-specific
        Data Format 8: None
        Descriptor 9: OEM-specific
        Data Format 9: None
        Descriptor 10: OEM-specific
        Data Format 10: None
        Descriptor 11: OEM-specific
        Data Format 11: None

Handle 0x000F, DMI type 16, 15 bytes.
Physical Memory Array
        Location: System Board Or Motherboard
        Use: System Memory
        Error Correction Type: None
        Maximum Capacity: 4 GB
        Error Information Handle: Not Provided
        Number Of Devices: 2

Handle 0x0010, DMI type 17, 27 bytes.
Memory Device
        Array Handle: 0x000F
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 512 MB
        Form Factor: SODIMM
        Set: None
        Locator: DDRII 1
        Bank Locator: Bank 0/1
        Type: DDR2
        Type Detail: Synchronous
        Speed: 266 MHz (3.8 ns)
        Manufacturer:  
        Serial Number:  
        Asset Tag:  
        Part Number:  

Handle 0x0011, DMI type 17, 27 bytes.
Memory Device
        Array Handle: 0x000F
        Error Information Handle: Not Provided
        Total Width: 64 bits
        Data Width: 64 bits
        Size: 512 MB
        Form Factor: SODIMM
        Set: None
        Locator: DDRII 2
        Bank Locator: Bank 2/3
        Type: DDR2
        Type Detail: Synchronous
        Speed: 266 MHz (3.8 ns)
        Manufacturer:  
        Serial Number:  
        Asset Tag:  
        Part Number:  

Handle 0x0012, DMI type 19, 15 bytes.
Memory Array Mapped Address
        Starting Address: 0x00000000000
        Ending Address: 0x0003FFFFFFF
        Range Size: 1 GB
        Physical Array Handle: 0x000F
        Partition Width: 0

Handle 0x0013, DMI type 20, 19 bytes.
Memory Device Mapped Address
        Starting Address: 0x00000000000
        Ending Address: 0x0001FFFFFFF
        Range Size: 512 MB
        Physical Device Handle: 0x0010
        Memory Array Mapped Address Handle: 0x0012
        Partition Row Position: 1

Handle 0x0014, DMI type 20, 19 bytes.
Memory Device Mapped Address
        Starting Address: 0x00020000000
        Ending Address: 0x0003FFFFFFF
        Range Size: 512 MB
        Physical Device Handle: 0x0011
        Memory Array Mapped Address Handle: 0x0012
        Partition Row Position: 1

Handle 0x0015, DMI type 21, 7 bytes.
Built-in Pointing Device
        Type: Other
        Interface: PS/2
        Buttons: 2

Handle 0x0016, DMI type 22, 26 bytes.
Portable Battery
        Location: Internal Battery
        Manufacturer: FUJITSU
        Manufacture Date:  
        Serial Number: 01A-Z070806000199Z
        Name: CP345809-01        
        Chemistry: Lithium Ion
        Design Capacity: 62640 mWh
        Design Voltage: 10800 mV
        SBDS Version:  
        Maximum Error: Unknown
        OEM-specific Information: 0xFFFFFFFF

Handle 0x0017, DMI type 126, 26 bytes.
Inactive

Handle 0x0018, DMI type 24, 5 bytes.
Hardware Security
        Power-On Password Status: Disabled
        Keyboard Password Status: Disabled
        Administrator Password Status: Disabled
        Front Panel Reset Status: Not Implemented

Handle 0x0019, DMI type 32, 11 bytes.
System Boot Information
        Status: No errors detected

Handle 0x001A, DMI type 143, 16 bytes.
OEM-specific Type
        Header and Data:
                8F 10 1A 00 00 5F 46 4A 5F 4F 45 4D 5F 12 00 00

Handle 0x001B, DMI type 143, 8 bytes.
OEM-specific Type
        Header and Data:
                8F 08 1B 00 01 03 00 00

Handle 0x001C, DMI type 143, 11 bytes.
OEM-specific Type
        Header and Data:
                8F 0B 1C 00 02 00 01 20 03 00 05

Handle 0x001D, DMI type 143, 11 bytes.
OEM-specific Type
        Header and Data:
                8F 0B 1D 00 02 06 01 E5 09 08 9C

Handle 0x001E, DMI type 143, 7 bytes.
OEM-specific Type
        Header and Data:
                8F 07 1E 00 02 01 01

Handle 0x001F, DMI type 143, 7 bytes.
OEM-specific Type
        Header and Data:
                8F 07 1F 00 02 02 01

Handle 0x0020, DMI type 143, 24 bytes.
OEM-specific Type
        Header and Data:
                8F 18 20 00 03 01 01 02 00 00 00 00 00 00 00 00
                70 FD 74 FD EE C1 00 00

Handle 0x0021, DMI type 143, 16 bytes.
OEM-specific Type
        Header and Data:
                8F 10 21 00 03 02 01 01 01 00 F1 00 00 00 00 00

Handle 0x0022, DMI type 143, 16 bytes.
OEM-specific Type
        Header and Data:
                8F 10 22 00 03 03 01 01 00 00 00 00 00 00 00 00

Handle 0x0023, DMI type 176, 16 bytes.
OEM-specific Type
        Header and Data:
                B0 10 23 00 10 00 00 00 00 00 FF FF FF FF FF FF

Handle 0x0024, DMI type 188, 8 bytes.
OEM-specific Type
        Header and Data:
                BC 08 24 00 39 38 31 24

Handle 0x0025, DMI type 127, 4 bytes.
End Of Table
Comment 1 Matěj Cepl 2007-11-19 06:05:22 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Austin Acton 2007-11-19 07:28:39 EST
Created attachment 263401 [details]
xorg.conf

This is the default xorg.conf that was created by Anaconda.
Comment 3 Austin Acton 2007-11-19 07:29:07 EST
Created attachment 263411 [details]
X log file
Comment 4 vladimir benes 2007-12-10 18:22:09 EST
Created attachment 283421 [details]
my xorg.conf (autoconfiguration)
Comment 5 vladimir benes 2007-12-10 18:24:02 EST
I have got the same problem HP 6510b
This is my machine:
http://www.smolts.org/show?UUID=1b59afc5-20b9-4dfc-aaaf-ddb795100a6b
Comment 6 vladimir benes 2007-12-10 18:25:26 EST
Created attachment 283431 [details]
and also log from last session
Comment 7 Mike Loseke 2007-12-13 17:54:05 EST
I have the same issue on a Lenovo T61.
Here's the smolts info:
http://www.smolts.org/show?UUID=6cedd467-2341-46f9-b3ad-7e5de5c19123

Comment 8 Mike Loseke 2007-12-13 17:56:58 EST
Created attachment 288061 [details]
X log from a session including a laptop suspend/resume where the backlight did not turn on 

Attached a log for my last session which included a suspend/resume where the
backlight did not turn back on.
Comment 9 Sergio Monteiro Basto 2007-12-26 22:43:13 EST
I got same problem , with kernel 2.6.23, I am going open a bug on kernel bugzilla 
Comment 10 Thomas J. Baker 2008-02-24 15:47:49 EST
Same for me with a Dell M1330 but I'm using the intel driver. Would that be a
different bug?

http://www.smolts.org/client/show?uuid=pub_6ea810f5-be6e-4517-858f-27caed244174
Comment 11 Matěj Cepl 2008-02-25 16:42:40 EST
This sounds really like duplicate of bug 358671. Closing as DUPLICATE. If
anybody disagrees feel free to reopen with the additional information.

*** This bug has been marked as a duplicate of 358671 ***

Note You need to log in before you can comment on or make changes to this bug.